{% extends '::base.html.twig' %}

{% block title %}Usuarios{% endblock title %}
{% form_theme form '::Forms/bootstrapForm.html.twig' %}
{% block body -%}
<div class="container generalContainer" id="pf_opmenu">
    <h1>Crear Usuario</h1>

        <a type="button" class="btn btn-primary" href="{{ path('usuario') }}">
            Regresar al Listado
        </a>
		<br><br>

      <div class="panel panel-primary">
        <div class="panel-heading">
          <h3 class="panel-title">Datos de Usuario</h3>
        </div>
        <div class="panel-body">
                  {{ form_start(form) }}
                  {% for row in [
                    [ ['uClave'],     ['horario'],      ['tipoUsuario']  ],
                    [ ['uNombre'],    ['uApPaterno'],   ['uApMaterno'] ],
                    [ ['urfc', 2],    ['uFechaNac'],    ['email'] ]
                    ] 
                  %}
                    <div class="row">   
                    {% for field in row %}
                      <div class="col-xs-{{ field[1] is defined ? field[1] * 4 :  4 }}">
                        {% if (attribute(form, field[0]) is defined) %}
                          {{ form_row(attribute(form, field[0])) }}
                        {% endif %}
                      </div>
                    {% endfor %}
                    </div>
                  {% endfor %}
                  {{ form_rest(form) }}
                  {{ form_end(form) }}
        </div>          
      </div>          

</div>
{% endblock %}
{% block javascripts %}

<script>


 $( "#mdr_puntoventabundle_usuario_uFechaNac" ).datepicker({
      format:   "dd/mm/yyyy",
      changeMonth: true,
      changeYear: true,
      yearRange: "1900:2050",
    });

   
 </script>
{% endblock %}
